RequestExecutionException (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.exceptions

## Class RequestExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cassandra.exceptions.CassandraException
        - - org.apache.cassandra.exceptions.RequestExecutionException

- All Implemented Interfaces:
    java.io.Serializable, TransportException
  Direct Known Subclasses:
    FunctionExecutionException, IsBootstrappingException, OverloadedException, RequestFailureException, RequestTimeoutException, TruncateException, UnavailableException

      public abstract class RequestExecutionException
      extends CassandraException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RequestExecutionException(ExceptionCode code, java.lang.String msg)`
    `protected` | `RequestExecutionException(ExceptionCode code, java.lang.String msg, java.lang.Throwable e)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.cassandra.exceptions.CassandraException

      `code`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.exceptions.TransportException

      `getMessage`

- - ### Constructor Detail

    - #### RequestExecutionException

          protected RequestExecutionException(ExceptionCode code,
                                              java.lang.String msg)

    - #### RequestExecutionException

          protected RequestExecutionException(ExceptionCode code,
                                              java.lang.String msg,
                                              java.lang.Throwable e)

Copyright © 2018 The Apache Software Foundation